<?php get_header(); ?>

<?php if ( get_theme_mod( 'category_hero_show', 1 ) ) : ?>
	<?php
		$style_attr  = '';
		$title       = '';
		$description = '';

		if ( is_tag() || is_category() || is_tax() ) {
			$term        = get_queried_object();
			$title       = single_term_title( '', false );
			$description = term_description();
		} else {
			$title = get_the_archive_title();
		}
	?>
	<section class="page-hero <?php echo esc_attr( neto_get_section_align_class() ); ?>">
		<div class="container">
			<div class="row">
				<div class="col-xs-12">
					<h1 class="page-hero-title"><?php echo esc_html( $title ); ?></h1>
					<?php if ( ! empty( $description ) ) : ?>
						<p class="page-hero-subtitle"><?php echo wp_kses( $description, neto_get_allowed_tags( 'guide' ) ); ?></p>
					<?php endif; ?>
				</div>
			</div>
		</div>
	</section>
<?php endif; ?>

<?php $classes = neto_get_content_sidebar_classes( get_theme_mod( 'layout_other' ) );  ?>

<main class="main">
	<div class="container">

		<?php if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'archive' ) ) : ?>

			<div class="row">
				<div class="<?php echo esc_attr( $classes['content'] ); ?>">
					<?php while ( have_posts() ) : the_post(); ?>

						<?php if ( get_theme_mod( 'listing_featured', 1 ) ) {
							get_template_part( 'article', get_post_type() );
						} else {
							get_template_part( 'article-no-image', get_post_type() );
						} ?>

					<?php endwhile; ?>

					<?php neto_posts_pagination(); ?>
				</div>

				<?php if ( $classes['has_sidebar'] ) : ?>
					<div class="<?php echo esc_attr( $classes['sidebar'] ); ?>">
						<?php get_sidebar(); ?>
					</div>
				<?php endif; ?>
			</div>

		<?php endif; ?>

	</div>
</main>

<?php get_footer(); ?>
