<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>
	<header class="entry-header">
		<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
			<p class="entry-sticky-notice"><?php esc_html_e( 'Featured', 'neto' ); ?></p>
		<?php endif; ?>

		<h1 class="entry-title">
			<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
		</h1>

		<?php if ( in_array( get_post_type(), array( 'post' ), true ) ) : ?>
			<div class="entry-meta">
				<span class="entry-categories">
					<?php the_category( ', ' ); ?>
				</span>
			</div>
		<?php endif; ?>
	</header>

	<div class="entry-row">
		<div class="entry-sidebar">
			<time class="entry-time" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>">
				<span class="entry-day"><?php echo esc_html( date_i18n( 'd', get_the_time( 'U' ) ) ); ?></span>
				<span class="entry-month"><?php echo esc_html( date_i18n( 'M Y', get_the_time( 'U' ) ) ); ?></span>
			</time>
		</div>

		<div class="entry-main">
			<div class="entry-content">
				<?php the_excerpt(); ?>
			</div>

			<a href="<?php the_permalink(); ?>" class="entry-read-more"><?php esc_html_e( 'Read More &rarr;', 'neto' ); ?></a>
		</div>
	</div>
</article>
