<?php
	add_action( 'admin_init', 'neto_cpt_product_add_metaboxes' );
	add_action( 'save_post', 'neto_cpt_product_update_meta' );

	function neto_cpt_product_add_metaboxes() {
		add_meta_box( 'neto-product-video', esc_html__( 'Product Appearance', 'neto' ), 'neto_add_product_appearance_meta_box', 'product', 'normal', 'default' );
	}

	function neto_cpt_product_update_meta( $post_id ) {

		if ( ! neto_can_save_meta( 'product' ) ) {
			return;
		}

		update_post_meta( $post_id, 'neto_product_disable_zoom', neto_sanitize_checkbox_ref( $_POST['neto_product_disable_zoom'] ) );
		update_post_meta( $post_id, 'neto_video_url', esc_url_raw( $_POST['neto_video_url'] ) );
	}

function neto_add_product_appearance_meta_box( $object, $box ) {
	neto_prepare_metabox( 'product' );

	?><div class="ci-cf-wrap"><?php
		neto_metabox_open_tab( '' );
			neto_metabox_checkbox( 'neto_product_disable_zoom', 1, esc_html__( 'Disable zoom in product thumbnails.', 'neto' ) );

			neto_metabox_guide( wp_kses( __( "Enter a URL to a YouTube or Vimeo video. The video will appear as the last of the product's thumbnails.", 'neto' ), neto_get_allowed_tags( 'guide' ) ) );
			neto_metabox_input( 'neto_video_url', esc_html__( 'Video URL:', 'neto' ), array( 'esc_func' => 'esc_url' ) );
		neto_metabox_close_tab();
	?></div><?php
}
