<?php
if ( ! function_exists( 'neto_get_customizer_css' ) ) :
	function neto_get_customizer_css() {
		ob_start();

		//
		// Logo
		//
		$custom_logo_id = get_theme_mod( 'custom_logo' );
		if ( get_theme_mod( 'limit_logo_size' ) && ! empty( $custom_logo_id ) ) {
			$image_metadata = wp_get_attachment_metadata( $custom_logo_id );
			$max_width      = floor( $image_metadata['width'] / 2 );
			?>
			.site-logo img {
				max-width: <?php echo intval( $max_width ); ?>px;
			}
			<?php
		}

		if ( get_theme_mod( 'logo_padding_top' ) || get_theme_mod( 'logo_padding_bottom' ) ) {
			?>
			.site-logo {
				<?php if ( get_theme_mod( 'logo_padding_top' ) ) : ?>
					padding-top: <?php echo intval( get_theme_mod( 'logo_padding_top' ) ); ?>px;
				<?php endif; ?>
				<?php if ( get_theme_mod( 'logo_padding_bottom' ) ) : ?>
					padding-bottom: <?php echo intval( get_theme_mod( 'logo_padding_bottom' ) ); ?>px;
				<?php endif; ?>
			}
			<?php
		}

		//
		// Content Colors
		//
		echo neto_get_background_styles( 'body_background', 'body, .row-slide-nav' );

		if ( get_theme_mod( 'site_accent_color' ) ) {
			$accent_color = get_theme_mod( 'site_accent_color' );
			?>
			a,
			.woocommerce-breadcrumb a:hover,
			.group_table .label a:hover,
			.star-rating,
			.shop_table .product-name a:hover,
			.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link a:hover,
			.woocommerce-MyAccount-downloads .download-file a:hover,
			.woocommerce-Address-title a:hover,
			.product_list_widget .product-title:hover,
			.foot a:hover,
			.footer-instagram .clear a:hover,
			.entry-title a:hover,
			.entry-meta a:hover,
			.entry-read-more a:hover,
			.entry-item-title a:hover,
			.item-eyebrow a:hover,
			.item-title a:hover,
			.navigation-main .mega-menu > ul > li > a:hover,
			.module-callout-title {
				color: <?php echo sanitize_hex_color( $accent_color ); ?>;
			}

			a:hover {
				color: <?php echo neto_color_luminance( $accent_color, 0.1 ); ?>;
			}

			.btn-border,
			.head-cart-wrap,
			.navigation-main ul {
				border-color: <?php echo sanitize_hex_color( $accent_color ); ?>;
			}

			.navigation-main > li ul a:hover,
			.navigation-main > li ul .sfHover > a,
			.navigation-main > li > ul::before,
			.navigation-secondary > li a:hover,
			.navigation-secondary .sfHover > a,
			.widget_meta li a:hover,
			.widget_pages li a:hover,
			.widget_categories li a:hover,
			.widget_archive li a:hover,
			.widget_nav_menu li a:hover,
			.widget_recent_entries li a:hover,
			.widget_product_categories li a:hover,
			.widget_layered_nav li a:hover,
			.widget_rating_filter li a:hover {
				border-bottom-color: <?php echo sanitize_hex_color( $accent_color ); ?>;
			}

			.mast-head-search {
				background-color: <?php echo sanitize_hex_color( $accent_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'site_text_color' ) ) {
			$text_color = get_theme_mod( 'site_text_color' );
			?>
			body,
			.form-allowed-tags,
			.comment-notes,
			.woocommerce-review-link,
			.group_table .price,
			.widget_layered_nav_filters a,
			.widget .instagram-pics li a,
			.footer-instagram .clear a,
			.mast-head-right > a,
			.head-cart-toggle,
			.entry-tags a,
			.pagination a,
			.pagination span,
			.posts-navigation a,
			.posts-navigation span,
			.comments-pagination a,
			.comments-pagination span,
			.woocommerce-pagination a,
			.woocommerce-pagination span,
			.page-links a,
			.page-links > span,
			.post-navigation a,
			.item-eyebrow a,
			.social-icon,
			.navigation-main a,
			.widget_meta li a,
			.widget_pages li a,
			.widget_categories li a,
			.widget_archive li a,
			.widget_nav_menu li a,
			.widget_recent_entries li a,
			.widget_product_categories li a,
			.widget_layered_nav li a,
			.widget_rating_filter,
			.tagcloud a,
			.wc-tabs a {
				color: <?php echo sanitize_hex_color( $text_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'site_text_color_dark' ) ) {
			$text_color_dark = get_theme_mod( 'site_text_color_dark' );
			?>
			.vc_general.vc_tta.vc_tta-tabs-position-top .vc_tta-tab > a,
			.vc_general.vc_tta.vc_tta-tabs-position-top .vc_tta-tab.vc_active > a,
			.vc_general.vc_tta.vc_tta-tabs-position-left .vc_tta-tab > a,
			.vc_general.vc_tta.vc_tta-tabs-position-left .vc_tta-tab.vc_active > a,
			.vc_general.vc_tta.vc_tta-accordion .vc_tta-panel-title > a,
			.vc_general.vc_tta.vc_tta-accordion .vc_tta-panel-title.vc_active > a,
			h1, h2, h3, h4, h5, h6,
			.entry-content th,
			.comment-content th,
			.woocommerce-message,
			.woocommerce-error,
			.woocommerce-info,
			.woocommerce-noreviews,
			.woocommerce-message a:not(.button),
			.woocommerce-error a:not(.button),
			.woocommerce-info a:not(.button),
			.woocommerce-noreviews a:not(.button),
			.woocommerce-breadcrumb a,
			.shop-actions a,
			.entry-summary .price,
			.product_meta a,
			.group_table .label a,
			.qty-handle,
			.qty-handle:hover,
			.reset_variations,
			.wc-tabs a,
			.shop_table .remove,
			.shop_table .product-name a,
			.shop_table .product-subtotal .woocommerce-Price-amount,
			.woocommerce-remove-coupon,
			.shipping-calculator-button,
			.order-total td,
			.order-total th,
			#order_review .shop_table .woocommerce-Price-amount,
			#order_review .shop_table .shipping,
			.order_details .woocommerce-Price-amount,
			.order_details .shipping,
			.woocommerce-thankyou-order-details li strong,
			.wc-bacs-bank-details li strong,
			.woocommerce-MyAccount-navigation .woocommerceMyAccount-navigation-link a,
			.woocommerce-MyAccount-content mark,
			.woocommerce-MyAccount-downloads .download-file a,
			.woocommerce-Address-title a,
			.wc-tabs li.active a,
			.product_list_widget .product_title,
			.widget_shopping_cart .total,
			.site-logo a,
			.mast-head-right > a:hover,
			.head-cart-toggle:hover,
			.is-visible .head-cart-toggle,
			.page-hero,
			.entry-title a,
			.entry-meta a,
			.entry-day,
			.entry-read-more,
			.entry-tags a:hover,
			.entry-item-title a,
			.pagination span.current,
			.pagination a:hover,
			.posts-navigation span.current,
			.posts-navigation a:hover,
			.comments-pagination span.current,
			.comments-pagination a:hover,
			.woocommerce-pagination span.current,
			.woocommerce-pagination a:hover,
			.post-navigation a:hover,
			.item-title a,
			.social-icon:hover,
			.navigation-main a:hover,
			.navigation-main .sfHover > a,
			.navigation-main > li > a:hover,
			.navigation-main > li.sfHover > a,
			.navigation-main > li.sfHover > a:active,
			.navigation-main > li.current_page_item > a,
			.navigation-main > li.current-menu-item > a,
			.navigation-main > li.current-menu-ancestor > a,
			.navigation-main > li.current-menu-parent > a,
			.navigation-main > li.current > a,
			.navigation-main .mega-menu > ul > li > a,
			.widget_meta li a:hover,
			.widget_pages li a:hover,
			.widget_categories li a:hover,
			.widget_archive li a:hover,
			.widget_nav_menu li a:hover,
			.widget_recent_entries li a:hover,
			.widget_product_categories li a:hover,
			.widget_layered_nav li a:hover,
			.widget_rating_filter li a:hover,
			.tagcloud a:hover,
			.widget-about .widget-about-signature-img,
			.product_list_widget .product-title {
				color: <?php echo sanitize_hex_color( $text_color_dark ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'site_text_on_accent_color' ) ) {
			$text_on_accent = get_theme_mod( 'site_text_on_accent_color' );
			?>
			.head-search-input,
			.head-search-dismiss,
			.head-search-dismiss:hover {
				color: <?php echo sanitize_hex_color( $text_on_accent ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'site_border_color' ) ) {
			$border_color = get_theme_mod( 'site_border_color' );
			?>
			.vc_general.vc_tta.vc_tta-tabs-position-top .vc_tta-tab.vc_active > a,
			.vc_general.vc_tta.vc_tta-tabs-position-left .vc_tta-tab.vc_active > a,
			.vc_general.vc_tta.vc_tta-tabs-position-left .vc_tta-panels,
			.vc_general.vc_tta.vc_tta-accordion .vc_tta-panel-title > a,
			.vc_general.vc_tta.vc_tta-accordion .vc_tta-panel-title.vc_active > a,
			.table-styled table,
			input,
			textarea,
			.woocommerce-ordering::after,
			.woocommerce-ordering select,
			.shop_table.cart,
			.cart-collaterals .shop_table,
			.payment_box,
			.woocommerce-order-received .customer_details,
			.woocommerce-thankyou-order-details,
			.wc-bacs-bank-details,
			.woocommerce-EditAccountForm,
			.wc-form-login,
			.header .widget_shopping_cart li.empty,
			.pagination a:hover,
			.pagination span:not(.current):hover,
			.posts-navigation a:hover,
			.posts-navigation span:not(.current):hover,
			.comments-pagination a:hover,
			.comments-pagination span:not(.current):hover,
			.woocommerce-pagination a:hover,
			.woocommerce-pagination span:not(.current):hover,
			.widget select,
			.qty-handle,
			.qty,
			.qty:hover {
				border-color: <?php echo sanitize_hex_color( $border_color ); ?>;
			}

			input:hover,
			textarea:hover,
			input:focus,
			textarea:focus {
				border-color: <?php echo neto_color_luminance( $border_color, -0.3 ); ?>;
			}

			.demo_store,
			.footer-widgets,
			.page-section,
			.post-navigation,
			#order_review_heading {
				border-top-color: <?php echo sanitize_hex_color( $border_color ); ?>;
			}

			.vc_general.vc_tta.vc_tta-tabs-position-top,
			.vc_general.vc_tta.vc_tta-accordion vc_tta-panel:last-child .vc_tta-panel-body,
			.entry-content th,
			.entry-content td,
			.comment-content th,
			.comment-content td,
			.table-styled table th,
			.table-styled table td,
			.woocommerce-breadcrumb,
			.shop_table.cart th,
			.shop_table.cart td,
			.cart-collaterals .shop_table th,
			.cart-collaterals .shop_table td,
			.payment_methods li,
			.woocommerce-MyAccount-navigation .woocommerce-MyAccount-navigation-link a,
			.mast-head,
			.page-section,
			.page-hero,
			.post-navigation,
			.navigation-main > li ul a,
			.widget_meta li a,
			.widget_pages li a,
			.widget_categories li a,
			.widget_archive li a,
			.widget_nav_menu li a,
			.widget_recent_entries li a,
			.widget_product_categories li a,
			.widget_layered_nav li a,
			.widget_rating_filter li a,
			.widget_recent_comments li,
			.widget_rss li {
				border-bottom-color: <?php echo sanitize_hex_color( $border_color ); ?>;
			}

			.vc_general.vc_tta.vc_tta-accordion .vc_tta-panel-body {
				border-left-color: <?php echo sanitize_hex_color( $border_color ); ?>;
			}

			.vc_general.vc_tta.vc_tta-accordion .vc_tta-panel-body,
			.table-styled table th,
			.table-styled table td,
			.shop_table.cart th,
			.shop_table.cart td,
			.cart-collaterals .shop_table th,
			.cart-collaterals .shop_table td {
				border-right-color: <?php echo sanitize_hex_color( $border_color ); ?>;
			}

			.price_slider {
				background-color: <?php echo sanitize_hex_color( $border_color ); ?>;
			}

			.price_slider .ui-slider-range {
				background-color: <?php echo neto_color_luminance( $border_color, -0.15); ?>;
			}

			.section-title::after {
				background-image: linear-gradient(to right, transparent 20px, <?php echo $border_color; ?> 20px);
			}

			@media (max-width: 767px) {
				.vc_general.vc_tta.vc_tta-tabs .vc_tta-panel-title > a {
					border-color: <?php echo sanitize_hex_color( $border_color ); ?>;
				}

				.vc_general.vc_tta.vc_tta-tabs vc_tta-panel-body {
					border-right-color: <?php echo sanitize_hex_color( $border_color ); ?>;
					border-left-color: <?php echo sanitize_hex_color( $border_color ); ?>;
				}

				.vc_general.vc_tta.vc_tta-tabs .vc_tta-panel:last-child .vc_tta-panel-body {
					border-bottom-color: <?php echo sanitize_hex_color( $border_color ); ?>;
				}
			}
			<?php
		}

		if ( get_theme_mod( 'site_light_grey_bg_color' ) ) {
			$light_gray   = get_theme_mod( 'site_light_grey_bg_color' );
			$lighter_gray = neto_color_luminance( $light_gray, 0.1 );
			?>
			.ci-vid-lightbox,
			.demo_store,
			.woocommerce-message,
			.woocommerce-error,
			.woocommerce-info,
			.woocommerce-noreviews,
			.qty-handle:hover,
			.widget_layered_nav_filters a,
			.entry-tags a,
			.pagination span.current,
			.posts-navigation span.current,
			.woocommerce-pagination span.current,
			.page-links > span,
			.tagcloud a {
				background-color: <?php echo sanitize_hex_color( $light_gray ); ?>;
			}

			.table-styled table th,
			.shop_table.cart th,
			.cart-collaterals .shop_table th,
			.footer-widgets {
				background-color: <?php echo sanitize_hex_color( $lighter_gray ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'button_bg_color' ) ) {
			$button_bg_color = get_theme_mod( 'button_bg_color' );
			?>
			.vc_general.vc_btn3.vc_btn3-color-theme,
			.btn,
			.button,
			.comment-reply-link,
			input[type="submit"],
			input[type="reset"],
			button {
				background-color: <?php echo sanitize_hex_color( $button_bg_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'button_hover_bg_color' ) ) {
			$button_hover_bg_color = get_theme_mod( 'button_hover_bg_color' );
			?>
			.vc_general.vc_btn3.vc_btn3-color-theme:hover,
			.btn:hover,
			.button:hover,
			.comment-reply-link:hover,
			input[type="submit"]:hover,
			input[type="reset"]:hover,
			button:hover {
				background-color: <?php echo sanitize_hex_color( $button_hover_bg_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'button_text_color' ) ) {
			$button_text_color = get_theme_mod( 'button_text_color' );
			?>
			.vc_general.vc_btn3.vc_btn3-color-theme,
			.btn,
			.button,
			.comment-reply-link,
			input[type="submit"],
			input[type="reset"],
			button {
				color: <?php echo sanitize_hex_color( $button_text_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'button_hover_text_color' ) ) {
			$button_hover_text_color = get_theme_mod( 'button_hover_text_color' );
			?>
			.vc_general.vc_btn3.vc_btn3-color-theme:hover,
			.btn:hover,
			.button:hover,
			.comment-reply-link:hover,
			input[type="submit"]:hover,
			input[type="reset"]:hover,
			button:hover {
				color: <?php echo sanitize_hex_color( $button_hover_text_color ); ?>;
			}
			<?php
		}

		//
		// Header Colors
		//
		echo neto_get_background_styles( 'head', '.mast-head' );

		if ( get_theme_mod( 'head_text_color' ) ) {
			$head_text_color = get_theme_mod( 'head_text_color' );
			?>
			.site-logo a,
			.mast-head,
			.navigation-main a,
			.navigation-main .mega-menu > ul > li > a,
			.mast-head-right > a,
			.head-cart-toggle {
				color: <?php echo sanitize_hex_color( $head_text_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'head_subnav_bg_color' ) ) {
			$head_subnav_bg_color = get_theme_mod( 'head_subnav_bg_color' );
			?>
			.navigation-main ul,
			.head-cart-wrap {
				background-color: <?php echo sanitize_hex_color( $head_subnav_bg_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'head_subnav_text_color' ) ) {
			$head_subnav_text_color = get_theme_mod( 'head_subnav_text_color' );
			?>
			.navigation-main ul a,
			.navigation-main .mega-menu > ul > li > a,
			.head-cart-wrap,
			.head-cart-wrap a,
			.head-cart-wrap .total,
			.head-cart-wrap .product_list_widget .product-title {
				color: <?php echo sanitize_hex_color( $head_subnav_text_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'head_subnav_text_hover_color' ) ) {
			$head_subnav_text_hover_color = get_theme_mod( 'head_subnav_text_hover_color' );
			?>
			.navigation-main ul a:hover,
			.navigation-main .mega-menu > ul > li > a:hover,
			.head-cart-wrap a:hover,
			.head-cart-wrap .product_list_widget .product-title:hover {
				color: <?php echo sanitize_hex_color( $head_subnav_text_hover_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'head_subnav_border_color' ) ) {
			$head_subnav_border_color = get_theme_mod( 'head_subnav_border_color' );
			?>
			.navigation-main ul,
			.head-cart-wrap {
				border-color: <?php echo sanitize_hex_color( $head_subnav_border_color ); ?>;
			}

			.navigation-main > li ul a:hover,
			.navigation-main > li ul a:hover,
			.navigation-main > li ul .sfHover > a,
			.navigation-main > li > ul::before {
				border-bottom-color: <?php echo sanitize_hex_color( $head_subnav_border_color ); ?>;
			}
			<?php
		}

		//
		// Footer Colors
		//
		if ( get_theme_mod( 'footer_bg_color' ) ) {
			$footer_bg_color = get_theme_mod( 'footer_bg_color' );
			?>
			.foot {
				background-color: <?php echo sanitize_hex_color( $footer_bg_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'footer_text_color' ) ) {
			$footer_text_color = get_theme_mod( 'footer_text_color' );
			?>
			.foot a,
			.foot a:hover {
				color: <?php echo sanitize_hex_color( $footer_text_color ); ?>;
			}
			<?php
		}

		//
		// Sidebar Colors
		//
		if ( get_theme_mod( 'sidebar_bg_color' ) ) {
			$sidebar_bg_color = get_theme_mod( 'sidebar_bg_color' );
			?>
			.sidebar {
				background-color: <?php echo sanitize_hex_color( $sidebar_bg_color ); ?>;
				padding: 25px;
			}

			.sidebar-drawer-header {
				background-color: <?php echo neto_color_luminance( $sidebar_bg_color, -0.15 ); ?>;
			}

			.sidebar-drawer {
				padding: 0;
			}
			<?php
		}

		if ( get_theme_mod( 'sidebar_text_color' ) ) {
			$sidebar_text_color = get_theme_mod( 'sidebar_text_color' );
			?>
			.sidebar,
			.sidebar .widget-title {
				color: <?php echo sanitize_hex_color( $sidebar_text_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'sidebar_link_color' ) ) {
			$sidebar_link_color = get_theme_mod( 'sidebar_link_color' );
			?>
			.sidebar a,
			.widget_meta li a,
			.widget_pages li a,
			.widget_categories li a,
			.widget_archive li a,
			.widget_nav_menu li a,
			.widget_recent_entries li a,
			.widget_product_categories li a,
			.widget_layered_nav li a,
			.widget_rating_filter li a,
			.sidebar .product_list_widget .product-title {
				color: <?php echo sanitize_hex_color( $sidebar_link_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'sidebar_link_hover_color' ) ) {
			$sidebar_link_hover_color = get_theme_mod( 'sidebar_link_hover_color' );
			?>
			.sidebar a:hover,
			.widget_meta li a:hover,
			.widget_pages li a:hover,
			.widget_categories li a:hover,
			.widget_archive li a:hover,
			.widget_nav_menu li a:hover,
			.widget_recent_entries li a:hover,
			.widget_product_categories li a:hover,
			.widget_layered_nav li a:hover,
			.widget_rating_filter li a:hover,
			.product_list_widget .product-title:hover {
				color: <?php echo sanitize_hex_color( $sidebar_link_hover_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'sidebar_border_color' ) ) {
			$sidebar_border_color = get_theme_mod( 'sidebar_border_color' );
			?>
			.widget_meta li a,
			.widget_pages li a,
			.widget_categories li a,
			.widget_archive li a,
			.widget_nav_menu li a,
			.widget_recent_entries li a,
			.widget_product_categories li a,
			.widget_layered_nav li a,
			.widget_rating_filter li a,
			.widget_recent_comments li,
			.widget_rss li {
				border-bottom-color: <?php echo sanitize_hex_color( $sidebar_border_color ); ?>;
			}
			<?php
		}

		if ( get_theme_mod( 'sidebar_widget_title_color' ) ) {
			$sidebar_widget_title_color = get_theme_mod( 'sidebar_widget_title_color' );
			?>
			.sidebar .widget-title {
				color: <?php echo sanitize_hex_color( $sidebar_widget_title_color ); ?>;
			}
			<?php
		}

		//
		// Typography
		//
		if ( get_theme_mod( 'h1_size' ) ) {
			?>
			.entry-content h1,
			.entry-title,
			.entry-summary .product_title {
				font-size: <?php echo intval( get_theme_mod( 'h1_size' ) ); ?>px;
			}
			<?php
		}

		if ( get_theme_mod( 'h2_size' ) ) {
			?>
			.entry-content h2 {
				font-size: <?php echo intval( get_theme_mod( 'h2_size' ) ); ?>px;
			}
			<?php
		}

		if ( get_theme_mod( 'h3_size' ) ) {
			?>
			.entry-content h3 {
				font-size: <?php echo intval( get_theme_mod( 'h3_size' ) ); ?>px;
			}
			<?php
		}

		if ( get_theme_mod( 'h4_size' ) ) {
			?>
			.entry-content h4 {
				font-size: <?php echo intval( get_theme_mod( 'h4_size' ) ); ?>px;
			}
			<?php
		}

		if ( get_theme_mod( 'h5_size' ) ) {
			?>
			.entry-content h5 {
				font-size: <?php echo intval( get_theme_mod( 'h5_size' ) ); ?>px;
			}
			<?php
		}

		if ( get_theme_mod( 'h6_size' ) ) {
			?>
			.entry-content h6 {
				font-size: <?php echo intval( get_theme_mod( 'h6_size' ) ); ?>px;
			}
			<?php
		}

		if ( get_theme_mod( 'body_text_size' ) ) {
			?>
			.entry-content {
				font-size: <?php echo intval( get_theme_mod( 'body_text_size' ) ); ?>px;
			}
			<?php
		}

		if ( get_theme_mod( 'widgets_text_size' ) ) {
			?>
			.sidebar .widget,
			.widget_meta ul li a,
			.widget_pages ul li a,
			.widget_categories ul li a,
			.widget_archive ul li a,
			.widget_nav_menu ul li a,
			.widget_recent_entries ul li a {
				font-size: <?php echo intval( get_theme_mod( 'widgets_text_size' ) ); ?>px;
			}
			<?php
		}

		if ( get_theme_mod( 'widgets_title_size' ) ) {
			?>
			.widget-title {
				font-size: <?php echo intval( get_theme_mod( 'widgets_title_size' ) ); ?>px;
			}
			<?php
		}

		if ( get_theme_mod( 'lowercase_widget_titles' ) ) {
			?>
			.widget-title {
				text-transform: none;
			}
			<?php
		}

		if ( get_theme_mod( 'lowercase_section_titles' ) ) {
			?>
			.page-hero-title,
			.section-title,
			.page-section h3,
			.product_list_widget .product-title {
				text-transform: none;
			}
			<?php
		}


		if ( get_theme_mod( 'footer_cards' ) && get_theme_mod( 'limit_footer_cards_size' ) ) {
			$image_id       = intval( get_theme_mod( 'footer_cards' ) );
			$image_metadata = wp_get_attachment_metadata( $image_id );
			$max_width      = floor( $image_metadata['width'] / 2 );
			?>
			.footer-cards img {
				max-width: <?php echo intval( $max_width ); ?>px;
			}
			<?php
		}


		// TODO: Remove this after two versions from when the option was removed.
		if ( get_theme_mod( 'custom_css' ) ) {
			echo get_theme_mod( 'custom_css' );
		}

		$css = ob_get_clean();
		return apply_filters( 'neto_customizer_css', $css );
	}
endif;

if ( ! function_exists( 'neto_get_background_styles' ) ) :
	function neto_get_background_styles( $prefix, $selector ) {
		$bg_color         = get_theme_mod( $prefix . '_bg_color' );
		$image            = get_theme_mod( $prefix . '_image' );
		$image_repeat     = get_theme_mod( $prefix . '_image_repeat', 'no-repeat' );
		$image_position_x = get_theme_mod( $prefix . '_image_position_x', 'center' );
		$image_position_y = get_theme_mod( $prefix . '_image_position_y', 'center' );
		$image_attachment = get_theme_mod( $prefix . '_image_attachment', 'scroll' );
		$image_cover      = get_theme_mod( $prefix . '_image_cover', 1 );

		$style = '';

		if ( $bg_color || $image ) {
			$style .= $selector . ' { ';

			if ( $bg_color ) {
				$style .= sprintf( 'background-color: %s; ',
					$bg_color
				);
			}

			if ( $image ) {
				$style .= sprintf( 'background-image: url(%s); ',
					$image
				);

				if ( $image_repeat ) {
					$style .= sprintf( 'background-repeat: %s; ',
						$image_repeat
					);
				}

				if ( $image_position_x && $image_position_y ) {
					$style .= sprintf( 'background-position: %s %s; ',
						$image_position_x,
						$image_position_y
					);
				}

				if ( $image_attachment ) {
					$style .= sprintf( 'background-attachment: %s; ',
						$image_attachment
					);
				}

				if ( $image_cover ) {
					$style .= 'background-size: cover; ';
				}
			}

			$style .= '}';
		}

		return $style;
	}
endif;

if ( ! function_exists( 'neto_custom_background_cb' ) ) :
	function neto_custom_background_cb() {
		// $background is the saved custom image, or the default image.
		$background = set_url_scheme( get_background_image() );

		// $color is the saved custom color.
		// A default has to be specified in style.css. It will not be printed here.
		$color = get_background_color();

		if ( $color === get_theme_support( 'custom-background', 'default-color' ) ) {
			$color = false;
		}

		if ( ! $background && ! $color ) {
			if ( is_customize_preview() ) {
				echo '<style type="text/css" id="custom-background-css"></style>';
			}
			return;
		}

		$style = $color ? "background-color: #$color;" : '';

		if ( $background ) {
			$image = ' background-image: url("' . esc_url_raw( $background ) . '");';

			// Background Position.
			$position_x = get_theme_mod( 'background_position_x', get_theme_support( 'custom-background', 'default-position-x' ) );
			$position_y = get_theme_mod( 'background_position_y', get_theme_support( 'custom-background', 'default-position-y' ) );

			if ( ! in_array( $position_x, array( 'left', 'center', 'right' ), true ) ) {
				$position_x = 'left';
			}

			if ( ! in_array( $position_y, array( 'top', 'center', 'bottom' ), true ) ) {
				$position_y = 'top';
			}

			$position = " background-position: $position_x $position_y;";

			// Background Size.
			$size = get_theme_mod( 'background_size', get_theme_support( 'custom-background', 'default-size' ) );

			if ( ! in_array( $size, array( 'auto', 'contain', 'cover' ), true ) ) {
				$size = 'auto';
			}

			$size = " background-size: $size;";

			// Background Repeat.
			$repeat = get_theme_mod( 'background_repeat', get_theme_support( 'custom-background', 'default-repeat' ) );

			if ( ! in_array( $repeat, array( 'repeat-x', 'repeat-y', 'repeat', 'no-repeat' ), true ) ) {
				$repeat = 'repeat';
			}

			$repeat = " background-repeat: $repeat;";

			// Background Scroll.
			$attachment = get_theme_mod( 'background_attachment', get_theme_support( 'custom-background', 'default-attachment' ) );

			if ( 'fixed' !== $attachment ) {
				$attachment = 'scroll';
			}

			$attachment = " background-attachment: $attachment;";

			$style .= $image . $position . $size . $repeat . $attachment;
		}
	?>
	<style type="text/css" id="custom-background-css">
		body.custom-background .main,
		body.custom-background .footer,
		body.custom-background .page-hero {
			<?php echo trim( $style ); ?>
		}
	</style>
	<?php
	}
endif;