<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 * Recent Reviews Widget.
 *
 * @author   WooThemes
 * @category Widgets
 * @package  WooCommerce/Widgets
 * @version  2.3.0
 * @extends  WC_Widget
 */
class Neto_WC_Widget_Recent_Reviews extends WC_Widget_Recent_Reviews {

	public function widget( $args, $instance ) {
		global $comments, $comment;

		if ( $this->get_cached_widget( $args ) ) {
			return;
		}

		ob_start();

		$number   = ! empty( $instance['number'] ) ? absint( $instance['number'] ) : $this->settings['number']['std'];
		$comments = get_comments( array( 'number' => $number, 'status' => 'approve', 'post_status' => 'publish', 'post_type' => 'product' ) );

		if ( $comments ) {
			$this->widget_start( $args, $instance );

			echo '<ul class="product_list_widget">';

			foreach ( (array) $comments as $comment ) {

				$_product = wc_get_product( $comment->comment_post_ID );

				$rating = intval( get_comment_meta( $comment->comment_ID, 'rating', true ) );

				$rating_html = wc_get_rating_html( $rating );

				?>
				<li>
					<a class="product-thumb" href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>" title="<?php echo esc_attr( $_product->get_title() ); ?>">
						<?php echo $_product->get_image(); ?>
					</a>

					<div class="product-content">
						<a href="<?php echo esc_url( get_comment_link( $comment->comment_ID ) ); ?>" class="product-title">
							<?php echo $_product->get_title(); ?>
						</a>

						<?php echo $rating_html; ?>
						<?php printf( '<span class="reviewer">' . _x( 'by %1$s', 'by comment author', 'neto' ) . '</span>', get_comment_author() ); ?>

						<?php if ( ! get_theme_mod( 'woocommerce_catalog_mode' ) ) {
							echo $_product->get_price_html();
						} ?>
					</div>
				</li>
				<?php
			}

			echo '</ul>';

			$this->widget_end( $args );
		}

		$content = ob_get_clean();

		echo $content;

		$this->cache_widget( $args, $content );
	}
}
