<?php if ( class_exists( 'WooCommerce' ) ) : ?>

	<?php if ( get_theme_mod( 'header_account', 1 ) && get_option( 'woocommerce_myaccount_page_id' ) ) : ?>
		<?php if ( is_user_logged_in() ) : ?>
			<a href="<?php echo esc_url( get_permalink( get_option( 'woocommerce_myaccount_page_id' ) ) ); ?>"><?php echo get_the_title( get_option( 'woocommerce_myaccount_page_id' ) ); ?></a>
		<?php elseif ( 'yes' === get_option( 'woocommerce_enable_myaccount_registration' )  ) : ?>
			<a href="<?php echo esc_url( get_permalink( get_option( 'woocommerce_myaccount_page_id' ) ) ); ?>"><?php esc_html_e( 'Login / Register', 'neto' ); ?></a>
		<?php else : ?>
			<a href="<?php echo esc_url( get_permalink( get_option( 'woocommerce_myaccount_page_id' ) ) ); ?>"><?php esc_html_e( 'Login', 'neto' ); ?></a>
		<?php endif; ?>
	<?php endif; ?>

	<?php if ( get_theme_mod( 'header_cart', 1 ) ) : ?>
		<div class="head-cart">
			<a href="#" class="head-cart-toggle">
				<i class="fa fa-shopping-cart"></i> <?php echo esc_html( WC()->cart->get_cart_contents_count() ); ?>
			</a>

			<div class="head-cart-wrap">
				<aside class="widget woocommerce widget_shopping_cart">
					<h3 class="widget-title"><?php esc_html_e( 'Cart', 'neto' ); ?></h3>

					<div class="widget_shopping_cart_content">
						<?php woocommerce_mini_cart(); ?>
					</div>
				</aside>
			</div>
		</div>
	<?php endif; ?>

	<?php if ( get_theme_mod( 'header_search', 1 ) ) : ?>
		<a href="#" class="head-search-trigger">
			<i class="fa fa-search"></i><span class="screen-reader-text"><?php esc_html_e( 'Search', 'neto' ); ?></span>
		</a>
	<?php endif; ?>

<?php endif; ?>

<a href="#mobilemenu" class="mobile-nav-trigger">
	<i class="fa fa-navicon"></i> <?php esc_html_e( 'Menu' , 'neto' ); ?>
</a>
