<?php get_header(); ?>

<?php $classes = neto_get_content_sidebar_classes( get_theme_mod( 'layout_other' ) );  ?>

<main class="main">
	<div class="container">

		<?php if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'archive' ) ) : ?>

			<div class="row">
				<div class="<?php echo esc_attr( $classes['content'] ); ?>">

					<?php
						global $wp_query;

						$found = $wp_query->found_posts;
						$none  = esc_html__( 'No results found. Please broaden your terms and search again.', 'neto' );
						$one   = esc_html__( 'Just one result found. We either nailed it, or you might want to broaden your terms and search again.', 'neto' );
						$many  = sprintf( _n( '%d result found.', '%d results found.', $found, 'neto' ), $found );
					?>

					<article class="entry entry-full">
						<header class="entry-header">
							<h1 class="entry-title">
								<?php esc_html_e( 'Search', 'neto' ); ?>
							</h1>
						</header>

						<div class="entry-content">
							<p><?php neto_e_inflect( $found, $none, $one, $many ); ?></p>
							<?php if ( $found < 2 ) {
								get_search_form();
							} ?>
						</div>
					</article>

					<?php while ( have_posts() ) : the_post(); ?>

						<?php if ( get_theme_mod( 'listing_featured', 1 ) ) {
							get_template_part( 'article', get_post_type() );
						} else {
							get_template_part( 'article-no-image', get_post_type() );
						} ?>

					<?php endwhile; ?>

					<?php neto_posts_pagination(); ?>
				</div>

				<?php if ( $classes['has_sidebar'] ) : ?>
					<div class="<?php echo esc_attr( $classes['sidebar'] ); ?>">
						<?php get_sidebar(); ?>
					</div>
				<?php endif; ?>
			</div>

		<?php endif; ?>

	</div>
</main>

<?php get_footer(); ?>
