<?php get_header(); ?>

<?php $classes = neto_get_content_sidebar_classes( get_theme_mod( 'layout_blog' ) );  ?>

<main class="main">
	<div class="container">

		<?php if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'single' ) ) : ?>

			<div class="row">
				<?php while ( have_posts() ) : the_post(); ?>
					<div class="<?php echo esc_attr( $classes['content'] ); ?>">
						<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>
							<header class="entry-header">
								<h1 class="entry-title"><?php the_title(); ?></h1>

								<?php if ( get_theme_mod( 'single_categories', 1 ) ) : ?>
									<div class="entry-meta">
										<span class="entry-categories">
											<?php the_category( ', ' ); ?>
										</span>
									</div>
								<?php endif; ?>
							</header>

							<div class="entry-row">
								<div class="entry-sidebar">
									<time class="entry-time" datetime="<?php echo esc_attr( get_the_date( 'c' ) ); ?>">
										<span class="entry-day"><?php echo esc_html( date_i18n( 'd', get_the_time( 'U' ) ) ); ?></span>
										<span class="entry-month"><?php echo esc_html( date_i18n( 'M Y', get_the_time( 'U' ) ) ); ?></span>
									</time>
								</div>

								<div class="entry-main">
									<?php if ( has_post_thumbnail() && get_theme_mod( 'single_featured', 1 ) ) : ?>
										<figure class="entry-thumb">
											<a class="ci-lightbox" href="<?php echo esc_url( neto_get_image_src( get_post_thumbnail_id(), 'large' ) ); ?>">
												<?php the_post_thumbnail(); ?>
											</a>
										</figure>
									<?php endif; ?>

									<div class="entry-content">
										<?php the_content(); ?>
										<?php wp_link_pages(); ?>
									</div>

									<?php if ( get_theme_mod( 'single_tags', 1 ) ) : ?>
										<div class="entry-tags">
											<?php the_tags( '', '' ); ?>
										</div>
									<?php endif; ?>

									<?php if ( get_theme_mod( 'single_authorbox', 1 ) ) {
										get_template_part( 'part-authorbox' );
									} ?>

									<?php if ( get_theme_mod( 'single_post_navigation', 1 ) ) {
										the_post_navigation( array(
											'prev_text' => sprintf( '<i class="fa fa-angle-left"></i> %s',
												esc_html__( 'Previous Post', 'neto' )
											),
											'next_text' => sprintf( '%s <i class="fa fa-angle-right"></i>',
												esc_html__( 'Next Post', 'neto' )
											),
										) );
									} ?>

									<?php if ( get_theme_mod( 'single_related', 1 ) ) {
										get_template_part( 'part-related', get_post_type() );
									} ?>

									<?php if ( get_theme_mod( 'single_comments', 1 ) ) {
										comments_template();
									} ?>
								</div>
							</div>
						</article>
					</div>
				<?php endwhile; ?>

				<?php if ( $classes['has_sidebar'] ) : ?>
					<div class="<?php echo esc_attr( $classes['sidebar'] ); ?>">
						<?php get_sidebar(); ?>
					</div>
				<?php endif; ?>
			</div>

		<?php endif; ?>

	</div>
</main>

<?php get_footer(); ?>
