<?php
/*
 * Template Name: Narrow
 */
?>
<?php get_header(); ?>

<?php $classes = neto_get_content_sidebar_classes( 'no-sidebar' );  ?>

<main class="main">
	<div class="container">
		<div class="row">
			<?php while ( have_posts() ) : the_post(); ?>
				<div class="<?php echo esc_attr( $classes['content'] ); ?>">
					<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry entry-full' ); ?>>
						<header class="entry-header">
							<h1 class="entry-title"><?php the_title(); ?></h1>
						</header>

						<?php if ( has_post_thumbnail() ) : ?>
							<figure class="entry-thumb">
								<a class="ci-lightbox" href="<?php echo esc_url( neto_get_image_src( get_post_thumbnail_id(), 'large' ) ); ?>">
									<?php the_post_thumbnail( 'neto_fullwidth' ); ?>
								</a>
							</figure>
						<?php endif; ?>

						<div class="entry-content">
							<?php the_content(); ?>
							<?php wp_link_pages(); ?>
						</div>

						<?php comments_template(); ?>
					</article>
				</div>
			<?php endwhile; ?>
		</div>
	</div>
</main>

<?php get_footer(); ?>
